Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class ApplicationParameter

    java.lang.Object
      org.apache.catalina.deploy.ApplicationParameter

public final class ApplicationParameter
extends java.lang.Object

Representation of a context initialization parameter that is configured in the server configuration file, rather than the application deployment descriptor. This is convenient for establishing default values (which may be configured to allow application overrides or not) without having to modify the application deployment descriptor itself.

Version:
  $Revision: 466595 $ $Date: 2006-10-21 18:24:41 -0400 (Sat, 21 Oct 2006) $
Author:
  Craig R. McClanahan

Constructor Summary
`ApplicationParameter()`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`boolean` | `getOverride()`
`java.lang.String` | `getValue()`
`void` | `setDescription(java.lang.String description)`
`void` | `setName(java.lang.String name)`
`void` | `setOverride(boolean override)`
`void` | `setValue(java.lang.String value)`
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplicationParameter

    public ApplicationParameter()

Method Detail

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getOverride

    public boolean getOverride()

### setOverride

    public void setOverride(boolean override)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.